Subject: Brutal Pocket-Flashlight for SELF-DEFENSE (75% OFF).

From: "Self Defense Flashlight" <[email-masked]>
Date: Mon, 9 Jan 2017 14:35:00 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.